Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.session.impl
Class SessionImpl

    java.lang.Object
      edu.internet2.middleware.shibboleth.common.session.impl.AbstractSession
          edu.internet2.middleware.shibboleth.idp.session.impl.SessionImpl

All Implemented Interfaces:
  edu.internet2.middleware.shibboleth.common.session.Session, Serializable

    public class SessionImpl

extends edu.internet2.middleware.shibboleth.common.session.impl.AbstractSession
implements Session

Session information for user logged into the IdP.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.idp.session.Session
`HTTP_SESSION_BINDING_ATTRIBUTE`

Constructor Summary
`SessionImpl(String sessionId, byte[] secret, long timeout)` Constructor.

Method Summary
`Map<String,AuthenticationMethodInformation>` | `getAuthenticationMethods()`
`ServiceInformation` | `getServiceInformation(String entityId)` Gets the service information for the given entity ID.
`Map<String,ServiceInformation>` | `getServicesInformation()`
`byte[]` | `getSessionSecret()`

Methods inherited from class edu.internet2.middleware.shibboleth.common.session.impl.AbstractSession
`getInactivityTimeout, getLastActivityInstant, getPrincipalName, getSessionID, getSubject, setLastActivityInstant, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.internet2.middleware.shibboleth.common.session.Session
`getInactivityTimeout, getLastActivityInstant, getPrincipalName, getSessionID, getSubject, setLastActivityInstant, setSubject`

Constructor Detail

### SessionImpl

    public SessionImpl(String sessionId,
                       byte[] secret,
                       long timeout)

  Constructor.

  Parameters:
    `sessionId` - ID of the session
    `secret` - a secret to associate with the session
    `timeout` - inactivity timeout for the session in milliseconds

Method Detail

### getSessionSecret

    public byte[] getSessionSecret()

### getAuthenticationMethods

    public Map<String,AuthenticationMethodInformation> getAuthenticationMethods()

### getServicesInformation

    public Map<String,ServiceInformation> getServicesInformation()

### getServiceInformation

    public ServiceInformation getServiceInformation(String entityId)

  Gets the service information for the given entity ID.

  Parameters:
    `entityId` - entity ID to retrieve the service information for
  Returns:
    the service information or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.